Upgrading to Pan 0.121 (with some problems) - Mandrake

This is a discussion on Upgrading to Pan 0.121 (with some problems) - Mandrake ; All: I am trying to upgrade from Pan 0.120 to Pan 0.121. Here are the RPM messages I am getting: rpm -Uvh pan-0.121-1mdv2007.1.i586.rpm warning: pan-0.121-1mdv2007.1.i586.rpm: Header V3 DSA signature: NOKEY, key ID 26752624 error: Failed dependencies: rtld(GNU_HASH) is needed by ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Upgrading to Pan 0.121 (with some problems)

  1. Upgrading to Pan 0.121 (with some problems)

    All:
    I am trying to upgrade from Pan 0.120 to Pan 0.121. Here are the RPM
    messages I am getting:

    rpm -Uvh pan-0.121-1mdv2007.1.i586.rpm
    warning: pan-0.121-1mdv2007.1.i586.rpm: Header V3 DSA signature: NOKEY,
    key ID 26752624 error: Failed dependencies:
    rtld(GNU_HASH) is needed by pan-0.121-1mdv2007.1.i586


    I then download glibc-2.4-7mdv2007.1.i586.rpm and attempt to upgrade it;
    but, I get the following problem:

    pm -Uvh glibc-2.4-7mdv2007.1.i586.rpm warning:
    glibc-2.4-7mdv2007.1.i586.rpm: Header V3 DSA signature: NOKEY, key ID 2
    error: Failed dependencies:
    glibc = 6:2.4-4mdk is needed by (installed)
    glibc-devel-2.4-4mdk.i586

    I have looked all around and cannot understand what
    glibc-2.4-7mdv2007.1.i586.rpm needs. Any ideas?

    I have Mandriva Linux 2007.



    Keith

  2. Re: Upgrading to Pan 0.121 (with some problems)

    Keith Lee wrote:
    > glibc = 6:2.4-4mdk is needed by (installed)
    > glibc-devel-2.4-4mdk.i586
    >
    > I have looked all around and cannot understand what
    > glibc-2.4-7mdv2007.1.i586.rpm needs. Any ideas?


    glibc-devel-2.4-4mdk.i586, which is installed, needs
    glibc = 6:2.4-4mdk.

    Replace that with glibc-2.4-7mdv and it will break
    glibc-devel-2.4-4mdk.i586.

    Using urpmi, you could probably upgrade both simultaneously.

    Cheers!

    jim b.

    --
    Unix is not user-unfriendly; it merely
    expects users to be computer-friendly.

+ Reply to Thread